/**
 * translations for plugins
 */
(
	function($R) {
		
		/**
		 * english
		 */
		const EN = {
			// alignment
			"align": "Align",
			"align-left": "Align Left",
			"align-center": "Align Center",
			"align-right": "Align Right",
			"align-justify": "Align Justify",
			
			// clips
			clips:"Clips",
			"clips-select":"Please, select a clip",
			
			// file manager
			choose: "Choose",
			
			// font color
			fontcolor:"Text Color",
			text:"Text",
			highlight:"Highlight",
			
			// font family
			fontfamily:"Font",
			"remove-font-family":"Remove Font Family",
			
			// font size
			size:"Size",
			"remove-size":"Remove Font Size",
			
			// full screen
			fullscreen:"Fullscreen",
			
			// image manager
			choose:"Choose",
			
			// inline
			style:"Style",
			
			// properties
			properties:"Properties",
			
			// table
			table:"Table",
			"insert-table":"Insert table",
			"insert-row-above":"Insert row above",
			"insert-row-below":"Insert row below",
			"insert-column-left":"Insert column left",
			"insert-column-right":"Insert column right",
			"add-head":"Add head",
			"delete-head":"Delete head",
			"delete-column":"Delete column",
			"delete-row":"Delete row",
			"delete-table":"Delete table",
			
			// text direction
			"change-text-direction":"RTL-LTR",
			"left-to-right":"Left to Right",
			"right-to-left":"Right to Left",
			
			// video
			video:"Video",
			"video-html-code":"Video Embed Code or Youtube/Vimeo Link",
			
			// widget
			widget:"Widget",
			"widget-html-code":"Widget HTML Code"
		};
		
		/**
		 * japanese
		 */
		const JA = { /// ADD JAPANESE VARIATIONS HERE
			// alignment
			"align": "配置",
			"align-left": "左揃え",
			"align-center": "中央揃え",
			"align-right": "右揃え",
			"align-justify": "均等分布",
			
			// clips
			clips:"クリップ",
			"clips-select":"クリップを選択して下さい。",
			
			// file manager
			choose: "選択する",
			
			// font color
			fontcolor:"テキストカラー",
			text:"テキスト",
			highlight:"ハイライト",
			
			// font family
			fontfamily:"フォント",
			"remove-font-family":"フォントを元に戻す",
			
			// font size
			size:"サイズ",
			"remove-size":"フォントサイズを元に戻す",
			
			// full screen
			fullscreen:"フルスクリーン",
			
			// image manager
			choose:"選択する",
			
			// inline
			style:"スタイル",
			
			// properties
			properties:"プロパティ",
			
			// table
			table:"テーブル",
			"insert-table":"テーブルを挿入",
			"insert-row-above":"行の上に挿入",
			"insert-row-below":"行の下に挿入",
			"insert-column-left":"左カラムに挿入",
			"insert-column-right":"右カラムに挿入",
			"add-head":"ヘッド",
			"delete-head":"ヘッドを削除",
			"delete-column":"カラムを削除",
			"delete-row":"行を削除",
			"delete-table":"テーブルを削除",
			
			// text direction
			"change-text-direction":"RTL-LTR",
			"left-to-right":"左から右へ",
			"right-to-left":"右から左へ",
			
			// video
			video:"ビデオ",
			"video-html-code":"エンベットコードまたはYoutube/Vimeoをリンク",
			
			// widget
			widget:"ウィジェット",
			"widget-html-code":"ウィジェットのHTML"
		};
		
		/**
		 * german
		 */
		const DE = { /// ADD GERMAN VARIATIONS HERE
			// alignment
			"align": "Ausrichten",
			"align-left": "Linksbündig ausrichten",
			"align-center": "Zentriert ausrichten",
			"align-right": "Rechtsbündig ausrichten",
			"align-justify": "Blocksatz",
			
			// clips
			clips:"Clips",
			"clips-select":"Bitte einen Clip auswählen",
			
			// file manager
			choose: "Auswählen",
			
			// font color
			fontcolor:"Textfarbe",
			text:"Text",
			highlight:"Hervorheben",
			
			// font family
			fontfamily:"Schriftart",
			"remove-font-family":"Schriftart entfernen",
			
			// font size
			size:"Größe",
			"remove-size":"Schriftgröße entfernen",
			
			// full screen
			fullscreen:"Vollbild",
			
			// image manager
			choose:"Auswählen",
			
			// inline
			style:"Stil",
			
			// properties
			properties:"Eigenschaften",
			
			// table
			table:"Tabelle",
			"insert-table":"Tabelle einfügen",
			"insert-row-above":"Reihe darüber einfügen",
			"insert-row-below":"Reihe danach einfügen",
			"insert-column-left":"Spalte links einfügen",
			"insert-column-right":"Spalte rechts einfügen",
			"add-head":"Tabellenkopf hinzufügen",
			"delete-head":"Tabellenkopf löschen",
			"delete-column":"Spalte löschen",
			"delete-row":"Reihe löschen",
			"delete-table":"Tabelle löschen",
			
			// text direction
			"change-text-direction":"RTL-LTR",
			"left-to-right":"Links nach Rechts",
			"right-to-left":"Rechts nach Links",
			
			// video
			video:"Video",
			"video-html-code":"Video Einbettungscode oder Youtube/Vimeo Link",
			
			// widget
			widget:"Widget",
			"widget-html-code":"Widget HTML Code"
		};
		
		/**
		 * czech
		 */
		const CS = { /// ADD CZECH VARIATIONS HERE
			// alignment
			"align": "Zarovnat",
	        "align-left": "Zarovnat vlevo",
	        "align-center": "Zarovnat na střed",
	        "align-right": "Zarovnat vpravo",
	        "align-justify": "Zarovnat do bloku",
			
			// clips
			clips:"Klipy",
			"clips-select":"Prosím, vyberte klip",
			
			// file manager
			choose: "Vybrat",
			
			// font color
			fontcolor:"Barva písma",
			text:"Text",
			highlight:"Barva pozadí",
			
			// font family
			fontfamily:"Písma",
			"remove-font-family":"Odstranit format písma",
			
			// font size
			size:"Velikost",
			"remove-size":"Odebrat velikost písma",
			
			// full screen
			fullscreen:"Celá obrazovka",
			
			// image manager
			choose:"Vybrat",
			
			// inline
			style:"Styl",
			
			// properties
			properties:"Vlastnosti",
			
			// specialchars
	        "specialchars": "peciální znaky",
			
			// table
			table:"Tabulka",
			"insert-table":"Vložit tabulku",
			"insert-row-above":"Přidat řádek nahoru",
			"insert-row-below":"Přidat řádek dolu",
			"insert-column-left":"Přidat sloupec vlevo",
			"insert-column-right":"Přidat sloupec vpravo",
			"add-head":"Přidat záhlaví",
			"delete-head":"Smazat záhlaví",
			"delete-column":"Smazat sloupec",
			"delete-row":"Smazat řádek",
			"delete-table":"Smazat tabulku",
			
			// text direction
			"change-text-direction":"RTL-LTR",
			"left-to-right":"Zleva do prava",
			"right-to-left":"Zprava doleva",
			
			// variable
	        "change": "Přeměna",
            "variable": "Proměnná",
            "variable-select": "Prosím, vyberte proměnnou",
			
			// video
			video:"Video",
			"video-html-code":"Kód pro vložení videa nebo odkaz Youtube/Vimeo",
			
			// widget
			widget:"Widget",
			"widget-html-code":"Widget kód HTML"
		};
		
		/**
		 * dutch
		 */
		const NL = { /// ADD DUTCH VARIATIONS HERE
			// alignment
			"align": "Uitlijnen",
			"align-left": "Links uitlijnen",
			"align-center": "Centreren",
			"align-right": "Rechts uitlijnen",
			"align-justify": "Tekst uitvullen",
			
			// clips
			clips:"Clips",
			"clips-select": "Selecteer een clip",
			
			// file manager
			choose: "Kies",
			
			// font color
			fontcolor:"Kleur tekst",
			text:"Tekst",
			highlight:"Markeren",
			
			// font family
			fontfamily:"Lettertype",
			"remove-font-family":"Verwijder lettertype",
			
			// font size
			size:"Grootte",
			"remove-size":"Verwijder lettergrootte",
			
			// full screen
			fullscreen:"Volledig scherm",
			
			// image manager
			choose:"Kies",
			
			// inline
			style:"Stijl",
			
			// properties
			properties:"Eigenschappen",
			
			// specialchars
			"specialchars": "Speciale tekens",
			
			// table
			table:"Tabel",
			"insert-table":"Voeg tabel in",
			"insert-row-above":"Voeg een rij aan de bovenkant toe",
			"insert-row-below":"Voeg een rij aan de onderkant toe",
			"insert-column-left":"Voeg links een kolom in",
			"insert-column-right":"Voeg rechts een kolom in",
			"add-head":"Voeg tabel-head toe",
			"delete-head":"Verwijder tabel-head",
			"delete-column":"Verwijder kolom",
			"delete-row":"Verwijder rij",
			"delete-table":"Verwijder tabel",
			
			// text direction
			"change-text-direction":"RTL-LTR",
			"left-to-right":"Links naar rechts",
			"right-to-left":"Rechts naar links",
			
			// variable
			"change": "Veranderen",
			"variable": "Variabele",
			"variable-select": "Alstublieft, selecteer een variabele",	
				
			// video
			video:"Video",
			"video-html-code":"Video Embed Code or Youtube/Vimeo Link",
			
			// widget
			widget:"Widget",
			"widget-html-code":"Widget HTML Code"
		};
		
		/**
		 * hungarian
		 */
		const HU = { /// ADD HUNGARIAN VARIATIONS HERE
			// alignment
	        "align": "Igazítsa",
	        "align-left": "Balra igazítás",
	        "align-center": "Középre igazítás",
	        "align-right": "Jobbra igazítás",
	        "align-justify": "Sorkizárt",
	            // clips
	        clips: "Klipek",
	        "clips-select": "Kérjük, válasszon ki egy klipet",
	           // filemanager
	        choose: "Válassz",
	           // fontcolor
	        fontcolor: "Szöveg szine",
	        text: "Szöveg",
	        highlight: "Szöveg hátterének szine",
	           // fontfamily
	        fontfamily: "Betűtípusok",
	         "remove-font-family":  "Betűtípusok eltávolítása",
	           // fontsize
		     size: "Betűméret",
	         "remove-size":  "A betűméret eltávolítása",
	           // fullscreen
	         fullscreen: "Teljes képernyős",
	             // imagemanager
	         choose: "Válassz",
	            // inlinestyle
	         style: "Stílus",
	              // properties
	          properties: "Tulajdonságok",
	              // specialchars
	           "specialchars": "Speciális karakterek",
	              // table
	           table: "Tábla",
	           "insert-table": "Táblázat beszúrása",
	           "insert-row-above": "Sor beszúrása az aktuális sor fölé",
	           "insert-row-below": "Sor beszúrása ez alá",
	           "insert-column-left": "Oszlop beszúrása ettöl balra",
	           "insert-column-right": "Oszlop hozzáadása ettöl jobbra",
	           "add-head": "Fejrész hozzáadása",
	           "delete-head": "Fejrész törlése",
	           "delete-column": "Oszlop törlése",
	           "delete-row": "Sor törlése",
	           "delete-table": "Táblázat törlése",
	            // textdirection
	           "change-text-direction": "RTL-LTR",
	           "left-to-right": "Balról jobbra",
	           "right-to-left": "Jobbról balra",
	            // variable
	           "change": "Változás",
	               "variable": "Változó",
	               "variable-select": "Kérjük, válasszon ki egy változót",	
	           // video	
	           video: "Videó",
	               "video-html-code": "Video kód beillesztése vagy Youtube/Vimeo link",
	           // widget
	         widget: "Widget",
	             "widget-html-code": "Widget HTML kód"

		};
		
		/**
		 * polish
		 */
		const PL = { /// ADD POLISH VARIATIONS HERE
			// alignment
	           "align": "Wyrównać",
	           "align-left": "Tekst do lewej",
	           "align-center": "Wyśrodkuj",
	           "align-right": "Tekst do prawej",
	           "align-justify": "Wyjustuj",
			
			// clips
	                 clips: "Klipy",
	                 "clips-select": "Proszę wybrać klip",
			
			// file manager
	                 choose: "Wybierz",
			
			// font color
	                fontcolor: "Kolor tekstu",
                        text: "Tekst",
                        highlight: "Kolor tła",
			
			// font family
	                fontfamily: "Czcionki",
                        "remove-font-family":  "Usuń rodzinę czcionek",
			
			// font size
	                size: "Rozmiar",
                        "remove-size":  "Usuń rozmiar czcionki",
			
			// full screen
	                  fullscreen: "Pełny ekran",
			
			// image manager
	                choose: "Wybierz",
			
			// inline
	                style: "Styl",
			
			// properties
	                properties: "Właściwości",
			
			// specialchars
	                "specialchars": "Znaki specjalne",
			
			// table
	                table: "Tabela",
	                "insert-table": "Wstaw tabele",
	                "insert-row-above": "Dodaj wiersz na górze",
	                "insert-row-below": "Dodaj wiersz na dole",
	                "insert-column-left": "Dodaj kolumnę po lewej",
	                "insert-column-right": "Dodaj kolumnę po prawej",
	                "add-head": "Dodaj nagłówek",
	                "delete-head": "Usuń nagłówek",
	                "delete-column": "Usuń kolumnę",
	                "delete-row": "Usuń wiersz",
	                "delete-table": "Usuń tabele",
			
			// text direction
	                "change-text-direction": "RTL-LTR",
	                "left-to-right": "Od lewej do prawą",
	                "right-to-left": "Od prawej do lewej",
			
			// variable
	                "change": "Zmieniać",
                        "variable": "Zmienna",
                        "variable-select": "Proszę wybrać zmienną",
			
			// video
			video:"Wideo",
			"video-html-code":"Kod do umieszczenia filmu lub link do Youtube/Vimeo",
			
			// widget
			widget:"Widżet",
			"widget-html-code":"Kod HTML widżetu"
		};
		
		/**
		 * romanian
		 */
		const RO = {
			// alignment
			"align": "Aliniere",
			"align-left": "Aliniere Stânga",
			"align-center": "Aliniere Centru",
			"align-right": "Aliniere Dreapta",
			"align-justify": "Aliniere Justify",
			
			// clips
			clips:"Clips",
			"clips-select":"Selectează un clip",
			
			// file manager
			choose: "Selectează",
			
			// font color
			fontcolor:"Culoare Text",
			text:"Text",
			highlight:"Highlight",
			
			// font family
			fontfamily:"Font",
			"remove-font-family":"Înlătură Familia de Fonturi",
			
			// font size
			size:"Dimensiune",
			"remove-size":"Înlătură Dimensiunea Fontului",
			
			// full screen
			fullscreen:"Ecran Complet",
			
			// image manager
			choose:"Selectează",
			
			// inline
			style:"Stil",
			
			// properties
			properties:"Proprietăți",
			
			// table
			table:"Tabel",
			"insert-table":"Inserează tabel",
			"insert-row-above":"Inserează rând deasupra",
			"insert-row-below":"Inserează rând dedesubt",
			"insert-column-left":"Inserează coloană în stânga",
			"insert-column-right":"Inserează coloană în dreapta",
			"add-head":"Adaugă antet",
			"delete-head":"Șterge antet",
			"delete-column":"Șterge coloană",
			"delete-row":"Șterge rând",
			"delete-table":"Șterge tabel",
			
			// text direction
			"change-text-direction":"DlS-SlD",
			"left-to-right":"Stânga spre Dreapta",
			"right-to-left":"Dreapta spre Stânga",
			
			// video
			video:"Video",
			"video-html-code":"Codul de embed pt video sau link Youtube/Vimeo",
			
			// widget
			widget:"Widget",
			"widget-html-code":"Codul HTML pt Widget"
		};
		
		/**
		 * slovak
		 */
		const SK = { /// ADD SLOVAK VARIATIONS HERE
			// alignment
		       "align": "Zarovnať",
	               "align-left": "Zarovnať vľavo",
	               "align-center": "Zarovnať na stred",
	               "align-right": "Zarovnať vpravo",
	               "align-justify": "Zarovnať do bloku",
                       // clips
	               clips: "Klipy",
	               "clips-select": "Vyberte klip",
                      // filemanager
	              choose: "Vybrať",
                      // fontcolor
	              fontcolor: "Farba písma",
                      text: "Text",
                      highlight: "Farba pozadia",
                     // fontfamily
	              fontfamily: "Písma",
                      "remove-font-family":  "Odstrániť formátovanie písma",
                    // fontsize
	               size: "Veľkosť",
                      "remove-size":  "Odstrániť veľkosť písma",
                     // fullscreen
	              fullscreen: "Celá obrazovka",
                     // imagemanager
	              choose: "Vybrať",
                     // inlinestyle
	              style: "Štýl",
                    // properties
	              properties: "Vlastnosti",
                     // specialchars
	              "specialchars": "Špeciálne znaky",
                       // table
	              table: "Tabulka",
	               "insert-table": "Vložiť tabulku",
	               "insert-row-above": "Pridať riadok hore",
	               "insert-row-below": "Pridať riadok dole",
	               "insert-column-left": "Pridať stĺpec vľavo",
	               "insert-column-right": "Pridať stľpec vpravo",
	                "add-head": "Pridať záhlavie",
	               "delete-head": "Zmazať záhlavie",
	               "delete-column": "Zmazať stľpec",
	               "delete-row": "Zmazať riadok",
	               "delete-table": "Zmazať tabulku",
                     // textdirection
	               "change-text-direction": "RTL-LTR",
	               "left-to-right": "Zľava doprava",
	                "right-to-left": "Zprava doľava",
                       // variable
	                "change": "Premenná",
                        "variable": "Premenné",
                        "variable-select": "Vyberte premennú",	
                        // video	
	                video: "Video",
                        "video-html-code": "Kód vloženia videa alebo odkaz Youtube/Vimeo",
                       // widget
	                widget: "Widget",
                         "widget-html-code": "Widget kód HTML"
		};
		
		/**
		 * spanish
		 */
		const ES = {
			// alignment
			"align": "Alinear",
			"align-left": "Alinear a la izquierda",
			"align-center": "Alinear al centro",
			"align-right": "Alinear a la derecha",
			"align-justify": "Alinear justificar",
			
			// clips
			clips:"Clips",
			"clips-select":"selecciona un clip",
			
			// file manager
			choose: "Escoger",
			
			// font color
			fontcolor:"Color del texto",
			text:"Texto",
			highlight:"Realce",
			
			// font family
			fontfamily:"Fuente",
			"remove-font-family":"Eliminar la familia de fuentes",
			
			// font size
			size:"Size",
			"remove-size":"Eliminar tamaño de fuente",
			
			// full screen
			fullscreen:"Pantalla completa",
			
			// image manager
			choose:"Escoger",
			
			// inline
			style:"Estilo",
			
			// properties
			properties:"Propiedades",
			
			// table
			table:"Tabla",
			"insert-table":"Insertar tabla",
			"insert-row-above":"Insertar fila arriba",
			"insert-row-below":"Insertar fila debajo",
			"insert-column-left":"Insertar columna izquierda",
			"insert-column-right":"Insertar columna derecha",
			"add-head":"Añadir cabeza",
			"delete-head":"Eliminar cabeza",
			"delete-column":"Eliminar columna",
			"delete-row":"Borrar fila",
			"delete-table":"Eliminar tabla",
			
			// text direction
			"change-text-direction":"RTL-LTR",
			"left-to-right":"De izquierda a derecha",
			"right-to-left":"De derecha a izquierda",
			
			// video
			video:"Video",
			"video-html-code":"Video Embed Code or Youtube/Vimeo Link",
			
			// widget
			widget:"Widget",
			"widget-html-code":"Widget HTML Code"
		};
		
		
		/**
		 * portuguese brazilian
		 */
		const PT_BR = {
			// alignment
			"align": "Alinhar",
			"align-left": "Alinhar à esquerda",
			"align-center": "Alinhar centro",
			"align-right": "Alinhar à direita",
			"align-justify": "Alinhar justificar",
			
			// clips
			clips:"Clips",
			"clips-select":"Selecione um cli",
			
			// file manager
			choose: "Escolher",
			
			// font color
			fontcolor:"Cor do texto",
			text:"Texto",
			highlight:"Realçar",
			
			// font family
			fontfamily:"Fonte",
			"remove-font-family":"Remover família de fontes",
			
			// font size
			size:"Tamanho",
			"remove-size":"Remover tamanho da fonte",
			
			// full screen
			fullscreen:"Tela cheia",
			
			// image Escolher
			choose:"Choose",
			
			// inline
			style:"Estilo",
			
			// properties
			properties:"Propriedades",
			
			// table
			table:"Tabela",
			"insert-table":"Insira a tabela",
			"insert-row-above":"Inserir linha acima",
			"insert-row-below":"Inserir linha abaixo",
			"insert-column-left":"Inserir coluna à esquerda",
			"insert-column-right":"Inserir coluna à direita",
			"add-head":"Adicionar cabeça",
			"delete-head":"Excluir cabeça",
			"delete-column":"Excluir coluna",
			"delete-row":"Excluir linha",
			"delete-table":"Excluir tabela",
			
			// text direction
			"change-text-direction":"RTL-LTR",
			"left-to-right":"Da esquerda para direita",
			"right-to-left":"Direita para esquerda",
			
			// video
			video:"Video",
			"video-html-code":"Video Embed Code or Youtube/Vimeo Link",
			
			// widget
			widget:"Widget",
			"widget-html-code":"Widget HTML Code"
		};
		
		/**
		 * russian
		 */
		const RU = {
			// alignment
			"align": "выравнивать",
			"align-left": "выровнять левому",
			"align-center": "выравнивать центр",
			"align-right": "выравнивать право",
			"align-justify": "выравнивать выравнивание",
			
			// clips
			clips:"Clips",
			"clips-select":"выбрать клип",
			
			// file manager
			choose: "выберите",
			
			// font color
			fontcolor:"Цвет текста",
			text:"Текст",
			highlight:"Выделение текста",
			
			// font family
			fontfamily:"Шрифт",
			"remove-font-family":"Удалить шрифт",
			
			// font size
			size:"Размер",
			"remove-size":"Удалить размер шрифта",
			
			// full screen
			fullscreen:"Полноэкранный",
			
			// image manager
			choose:"выберите",
			
			// inline
			style:"Стиль",
			
			// properties
			properties:"свойства",
			
			// table
			table:"Tаблицу",
			"insert-table":"Вставить таблицу",
			"insert-row-above":"Bставить строку выше",
			"insert-row-below":"Bставить строку ниже",
			"insert-column-left":"Вставить колонку влево",
			"insert-column-right":"Вставить колонку вправо",
			"add-head":"добавить голову",
			"delete-head":"Удалить голову",
			"delete-column":"Удалить столбец",
			"delete-row":"Удалить строку",
			"delete-table":"Удалить таблицу",
			
			// text direction
			"change-text-direction":"RTL-LTR",
			"left-to-right":"Слева направо",
			"right-to-left":"Справа налево",
			
			// video
			video:"Video",
			"video-html-code":"Video Embed Code or Youtube/Vimeo Link",
			
			// widget
			widget:"Widget",
			"widget-html-code":"Widget HTML Code"
		};
		
		/**
		 * add translations
		 */
		$R.addLang('ar',    EN);
		$R.addLang('cs',    CS);
		$R.addLang('da',    EN);
		$R.addLang('de',    DE);
		$R.addLang('en',    EN);
		$R.addLang('es',    ES);
		$R.addLang('fa',    EN);
		$R.addLang('fi',    EN);
		$R.addLang('fr',    EN);
		$R.addLang('he',    EN);
		$R.addLang('hu',    HU);
		$R.addLang('it',    EN);
		$R.addLang('ja',    JA);
		$R.addLang('ko',    EN);
		$R.addLang('nl',    NL);
		$R.addLang('no',    EN);
		$R.addLang('pl',    PL);
		$R.addLang('pt_br', PT_BR);
		$R.addLang('ro',    RO);
		$R.addLang('ru',    RU);
		$R.addLang('sk',    SK);
		$R.addLang('sl',    EN);
		$R.addLang('sv',    EN);
		$R.addLang('tr',    EN);
		$R.addLang('zh_cn', EN);
		$R.addLang('zh_tw', EN);
		
	}
)(Redactor);
