<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

/**
 * media/file upload drag-n-drop
 * \param $tag_runner_context array Extra content to provide to tags
 */
function tag_dropzone( array $tag_runner_context = [] ) {
	
	$tag = new \pulsecore\tags\Dropzone();
	
	$result = $tag->generate_html(
		[
			'media_folder'       => ((isset($GLOBALS['tag_var1']) and (\strlen($GLOBALS['tag_var1']) > 0)) ? \trim($GLOBALS['tag_var1']) : '' ),
			'allowed_file_types' => (
				(isset($GLOBALS['tag_var2']) and (\strlen($GLOBALS['tag_var2']) > 0))
				? \trim($GLOBALS['tag_var2'])
				: \implode(
					',', \array_unique(
							\array_merge(
								\pulsecore\wedge\config\get_json_configs()->json->allow,
								\pulsecore\get_configs()->media_files->image_types
							)
						)
				  )
				),
			'upload_handler'     => ((isset($GLOBALS['tag_var3']) and (\strlen($GLOBALS['tag_var3']) > 0)) ? \trim($GLOBALS['tag_var3']) : (\pulsecore\wedge\config\get_json_configs()->json->path . '/dropzone_upload_handler.php') ),
		],
		$tag_runner_context,
		((isset($GLOBALS['tag_composite_content']) and \is_string($GLOBALS['tag_composite_content']) and (\strlen($GLOBALS['tag_composite_content']) > 0)) ? \trim($GLOBALS['tag_composite_content']) : '')
	);
	
	return $result;
}

# call
echo tag_dropzone( (isset($tag_runner_context) ? $tag_runner_context : []) );
