
/**
 * imports
 */
import message_bus from '../message-bus.js';
import storage     from '../storage.js';

/**
 * show hide content
 */
const expander = {
	
	/**
	 * state
	 */
	data: function () {
		return {
			show: this.open
		}
	},
	
	/**
	 *
	 */
	methods: {
		
		/**
		 * add a menu item
		 */
		onclick_show: function (evnt) {
			
			this.show = !this.show;
			
			console.log( 'onclick_show', this.show, this.open, this.control_item );
			
			// keep track of whats open/closed so re-renders keep open menus open
			if (this.show) {
				message_bus.$emit( 'track-ui-menu-open', this.control_item );
			} else {
				message_bus.$emit( 'track-ui-menu-close', this.control_item );
			}
		}
	},
	
	/**
	 * props
	 */
	props: {
		'control_item': Object,
		'type': String,
		'open': Boolean
	},
	
	/**
	 * html
	 */
	template: `
<!-- start expander -->
<div class="expander">
	
	<div class="expander-toggle" v-on:click.stop.prevent="onclick_show">
		<template v-if="type == 'arrow'">
			<i class="fa fa-arrow-circle-down"  v-if="show"></i>
			<i class="fa fa-arrow-circle-right" v-if="!show"></i>
		</template>
		
		<template v-if="type == 'toggle'">
			<i class="fa fa-toggle-on"  v-if="show"></i>
			<i class="fa fa-toggle-off" v-if="!show"></i>
		</template>
	</div>
	
	<div class="expander-content" v-show="show">
		<slot></slot>
	</div>
	
</div>
<!-- end expander -->
`,

	/**
	 * watched properties
	 */
	watch: {
		
		//deep: true,
		//immediate: true,
		
		open: function (new_val, old_val) {
			
			console.log( 'watch open', this.control_item.name, new_val );
			
			this.show = new_val;
		}
	}
};

/**
 * exports
 */
export default expander;

