
/**
 * imports
 */
import message_bus from '../message-bus.js';
import storage     from '../storage.js';

import Menu     from '../model/menu.js';
import MenuItem from '../model/menu_item.js';

// start up
const non_pulse_button = {
	
	/**
	 * state
	 */
	data: function () {
		return {
		}
	},
	
	/**
	 *
	 */
	methods: {
		
		/**
		 * toggle activation
		 */
		onclick: function () {
			
			
			const self = this;
			
			const form = jQuery('<div></div>').append(
					jQuery('<div><label for="#name">' + pulsecore.translations.lang_settings_navigation_non_pulse_name + '</label> <input id="name" type="text" name="name" value="" placeholder="' + pulsecore.translations.lang_settings_navigation_non_pulse_name + '" /></div>'),
					jQuery('<div><label for="#url">'  + pulsecore.translations.lang_settings_navigation_non_pulse_url  + '</label> <input id="url"  type="text" name="url"  value="" placeholder="' + pulsecore.translations.lang_settings_navigation_non_pulse_url  + '" /></div>')
			);
			
			const deferred = swal(
				{
					title: pulsecore.translations.lang_settings_navigation_non_pulse_page,
					text:  pulsecore.translations.lang_settings_navigation_non_pulse_page,
					content: form[0],
					buttons: {
						cancel: {
							closeModal: true
						},
						confirm: {
							closeModal: true
						}
					}
				}
			);
			
			deferred.then(
				function (inputValue) {
					
					const name = jQuery( 'input[name="name"]', form).val();
					const url  = jQuery( 'input[name="url"]',  form).val();
					
					// close
					if (inputValue === false) {
						return false;
					}
					
					message_bus.$emit( 'menu-add-non-pulse', self.parent, name, url );
				}
			);
		}
	},
	
	/**
	 * props
	 */
	props: {
		'parent': Object
	},
	
	/**
	 * html
	 */
	template: `
<!-- start non-pulse-button -->
<div class="non-pulse-button btn" v-on:click.stop.prevent="onclick">
	<i class="fa fa-plus"></i>
	{{ 'lang_settings_navigation_non_pulse_page' | translate }}
</div>
<!-- end non-pulse-button -->
`,

	/**
	 * watched properties
	 */
	watch: {
		
		deep: true,
		immediate: true,
		
		item: function (new_val, old_val) {
			
			console.log( 'item watched', new_val );
		}
	}
};

/**
 * exports
 */
export default non_pulse_button;

