<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

namespace pulsecore\logic;

/**
 * search related logic
 */
class Search extends Base {
	
	/*
	 * search for a string in the content
	 * @param array $arguments array optional list of parameters
	 * @return stdClass
	 */
	public function process (array $arguments = []) {
		
		# logic
		$logic_search_block   = new \pulsecore\logic\SearchBlock();
		$logic_search_blog    = new \pulsecore\logic\SearchBlog();
		$logic_search_gallery = new \pulsecore\logic\SearchGallery();
		$logic_search_page    = new \pulsecore\logic\SearchPage();
		
		\pulsecore\pre_condition(      isset($arguments['term']) );
		\pulsecore\pre_condition( \is_string($arguments['term']) );
		\pulsecore\pre_condition(    \strlen($arguments['term']) > 0);
		
		$term = \trim($arguments['term']);
		
		$result = new \stdClass();
		$result->results = [];
		
		# block
		$tmp = $logic_search_block->process( $arguments );
		
		$result->results = \array_merge( $result->results, $tmp->results );
		
		# blog
		$tmp = $logic_search_blog->process( $arguments );
		
		$result->results = \array_merge( $result->results, $tmp->results );
		
		# gallery
		$tmp = $logic_search_gallery->process( $arguments );
		
		$result->results = \array_merge( $result->results, $tmp->results );
		
		# page
		$tmp = $logic_search_page->process( $arguments );
		
		$result->results = \array_merge( $result->results, $tmp->results );
		
		# dump
		return $result;
	}
	
}
