<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

declare(strict_types = 1);

namespace pulsecore;

/**
 * the classes and filenames to autoload from
 */
return [
	
	# cache
	'pulsecore\cache\Manager' => PULSE_BASE_DIR . '/pulsecore/cache/manager.php',
	'pulsecore\cache\Meta'    => PULSE_BASE_DIR . '/pulsecore/cache/meta.php',
	'pulsecore\cache\Pool'    => PULSE_BASE_DIR . '/pulsecore/cache/pool.php',
	
	# install
	'pulsecore\installer\Base'              => PULSE_BASE_DIR . '/pulsecore/src/installer/base.php',
	'pulsecore\installer\BaseCollection'    => PULSE_BASE_DIR . '/pulsecore/src/installer/base_collection.php',
	'pulsecore\installer\FileMetaData'      => PULSE_BASE_DIR . '/pulsecore/src/installer/file_meta_data.php',
	'pulsecore\installer\DirectoryMetaData' => PULSE_BASE_DIR . '/pulsecore/src/installer/directory_meta_data.php',
	'pulsecore\installer\MetaData'          => PULSE_BASE_DIR . '/pulsecore/src/installer/meta_data.php',
	'pulsecore\installer\Update'            => PULSE_BASE_DIR . '/pulsecore/src/installer/update.php',
	
	'pulsecore\installer\change\Base'       => PULSE_BASE_DIR . '/pulsecore/src/installer/change/base.php',
	'pulsecore\installer\change\ConfigJson' => PULSE_BASE_DIR . '/pulsecore/src/installer/change/config_json.php',
	'pulsecore\installer\change\ConfigPhp'  => PULSE_BASE_DIR . '/pulsecore/src/installer/change/config_php.php',
	'pulsecore\installer\change\Htaccess'   => PULSE_BASE_DIR . '/pulsecore/src/installer/change/htaccess.php',
	'pulsecore\installer\change\File'       => PULSE_BASE_DIR . '/pulsecore/src/installer/change/file.php',
	
	# logic
	'pulsecore\logic\Base'           => PULSE_BASE_DIR . '/pulsecore/logic/base.php',
	'pulsecore\logic\Country'        => PULSE_BASE_DIR . '/pulsecore/logic/country.php',
	'pulsecore\logic\FindImage'      => PULSE_BASE_DIR . '/pulsecore/logic/find_image.php',
	'pulsecore\logic\FeaturedImage'  => PULSE_BASE_DIR . '/pulsecore/logic/featured_image.php',
	'pulsecore\logic\GeoIpFreeGeoIp' => PULSE_BASE_DIR . '/pulsecore/logic/geoip_freegeoip.php',
	'pulsecore\logic\GeoIpIpApi'     => PULSE_BASE_DIR . '/pulsecore/logic/geoip_ipapi.php',
	'pulsecore\logic\GeoIpIpStack'   => PULSE_BASE_DIR . '/pulsecore/logic/geoip_ipstack.php',
	'pulsecore\logic\Search'         => PULSE_BASE_DIR . '/pulsecore/logic/search.php',
	'pulsecore\logic\SearchBase'     => PULSE_BASE_DIR . '/pulsecore/logic/search_base.php',
	'pulsecore\logic\SearchBlock'    => PULSE_BASE_DIR . '/pulsecore/logic/search_block.php',
	'pulsecore\logic\SearchBlog'     => PULSE_BASE_DIR . '/pulsecore/logic/search_blog.php',
	'pulsecore\logic\SearchGallery'  => PULSE_BASE_DIR . '/pulsecore/logic/search_gallery.php',
	'pulsecore\logic\SearchPage'     => PULSE_BASE_DIR . '/pulsecore/logic/search_page.php',
	'pulsecore\logic\UserAgent'      => PULSE_BASE_DIR . '/pulsecore/logic/user_agent.php',
	
	# pulse page handlers - admin
	'pulsecore\page\admin\Avatar'                   => PULSE_BASE_DIR . '/pulsecore/page/admin/avatar.php',
	'pulsecore\page\admin\Base'                     => PULSE_BASE_DIR . '/pulsecore/page/admin/base.php',
	'pulsecore\page\admin\BlogImportFromRss'        => PULSE_BASE_DIR . '/pulsecore/page/admin/blog_import_from_rss.php',
	'pulsecore\page\admin\CreateFolder'             => PULSE_BASE_DIR . '/pulsecore/page/admin/create_folder.php',
	'pulsecore\page\admin\CustomPostType'           => PULSE_BASE_DIR . '/pulsecore/page/admin/custom_post_type.php',
	'pulsecore\page\admin\CustomPostTypeDefinition' => PULSE_BASE_DIR . '/pulsecore/page/admin/custom_post_type_definition.php',
	'pulsecore\page\admin\Dashboard'                => PULSE_BASE_DIR . '/pulsecore/page/admin/dashboard.php',
	'pulsecore\page\admin\DebugInfo'                => PULSE_BASE_DIR . '/pulsecore/page/admin/debug_info.php',
	'pulsecore\page\admin\Delete'                   => PULSE_BASE_DIR . '/pulsecore/page/admin/delete.php',
	'pulsecore\page\admin\DuplicateContent'         => PULSE_BASE_DIR . '/pulsecore/page/admin/duplicate_content.php',
	'pulsecore\page\admin\GalSort'                  => PULSE_BASE_DIR . '/pulsecore/page/admin/gal_sort.php',
	'pulsecore\page\admin\GalleryOrder'             => PULSE_BASE_DIR . '/pulsecore/page/admin/gallery_order.php',
	'pulsecore\page\admin\LogViewer'                => PULSE_BASE_DIR . '/pulsecore/page/admin/log_viewer.php',
	'pulsecore\page\admin\ManageNavigation'         => PULSE_BASE_DIR . '/pulsecore/page/admin/manage_navigation.php',
	'pulsecore\page\admin\ManageTags'               => PULSE_BASE_DIR . '/pulsecore/page/admin/manage_tags.php',
	'pulsecore\page\admin\ManageUserList'           => PULSE_BASE_DIR . '/pulsecore/page/admin/manage_user_list.php',
	'pulsecore\page\admin\ManageUserGroupList'      => PULSE_BASE_DIR . '/pulsecore/page/admin/manage_user_group_list.php',
	'pulsecore\page\admin\MediaUploadHandler'       => PULSE_BASE_DIR . '/pulsecore/page/admin/media_upload_handler.php',
	'pulsecore\page\admin\PluginUploadHandler'      => PULSE_BASE_DIR . '/pulsecore/page/admin/plugin_upload_handler.php',
	'pulsecore\page\admin\PluginsTags'              => PULSE_BASE_DIR . '/pulsecore/page/admin/plugins_tags.php',
	'pulsecore\page\admin\Rest'                     => PULSE_BASE_DIR . '/pulsecore/page/admin/rest.php',
	'pulsecore\page\admin\TemplateUploadHandler'    => PULSE_BASE_DIR . '/pulsecore/page/admin/template_upload_handler.php',
	'pulsecore\page\admin\Update'                   => PULSE_BASE_DIR . '/pulsecore/page/admin/update.php',
	'pulsecore\page\admin\ViewStats'                => PULSE_BASE_DIR . '/pulsecore/page/admin/view_stats.php',
	'pulsecore\page\admin\Unishop'                  => PULSE_BASE_DIR . '/pulsecore/page/admin/unishop.php',
	'pulsecore\page\admin\UnishopEditor'            => PULSE_BASE_DIR . '/pulsecore/page/admin/unishop_editor.php',
	
	'pulsecore\page\admin\create\Base'       => PULSE_BASE_DIR . '/pulsecore/page/admin/create/base.php',
	'pulsecore\page\admin\create\BlogFolder' => PULSE_BASE_DIR . '/pulsecore/page/admin/create/blog_folder.php',
	'pulsecore\page\admin\create\BlogItem'   => PULSE_BASE_DIR . '/pulsecore/page/admin/create/blog_item.php',
	
	'pulsecore\page\admin\open\AudioVideo' => PULSE_BASE_DIR . '/pulsecore/page/admin/open/audio_video.php',
	'pulsecore\page\admin\open\Base'       => PULSE_BASE_DIR . '/pulsecore/page/admin/open/base.php',
	'pulsecore\page\admin\open\Block'      => PULSE_BASE_DIR . '/pulsecore/page/admin/open/block.php',
	'pulsecore\page\admin\open\Blog'       => PULSE_BASE_DIR . '/pulsecore/page/admin/open/blog.php',
	'pulsecore\page\admin\open\Image'      => PULSE_BASE_DIR . '/pulsecore/page/admin/open/image.php',
	'pulsecore\page\admin\open\Page'       => PULSE_BASE_DIR . '/pulsecore/page/admin/open/page.php',
	
	'pulsecore\page\admin\update\Base'     => PULSE_BASE_DIR . '/pulsecore/page/admin/update/base.php',
	'pulsecore\page\admin\update\Done'     => PULSE_BASE_DIR . '/pulsecore/page/admin/update/done.php',
	'pulsecore\page\admin\update\Download' => PULSE_BASE_DIR . '/pulsecore/page/admin/update/download.php',
	'pulsecore\page\admin\update\Prepare'  => PULSE_BASE_DIR . '/pulsecore/page/admin/update/prepare.php',
	'pulsecore\page\admin\update\Results'  => PULSE_BASE_DIR . '/pulsecore/page/admin/update/results.php',
	'pulsecore\page\admin\update\Start'    => PULSE_BASE_DIR . '/pulsecore/page/admin/update/start.php',
	'pulsecore\page\admin\update\Status'   => PULSE_BASE_DIR . '/pulsecore/page/admin/update/status.php',
	'pulsecore\page\admin\update\Updating' => PULSE_BASE_DIR . '/pulsecore/page/admin/update/updating.php',
	
	# pulse page handlers
	'pulsecore\page\Base'                  => PULSE_BASE_DIR . '/pulsecore/page/base.php',
	'pulsecore\page\DropzoneUploadHandler' => PULSE_BASE_DIR . '/pulsecore/page/dropzone_upload_handler.php',
	'pulsecore\page\WebBlogApi'            => PULSE_BASE_DIR . '/pulsecore/page/web_blog_api.php',
	'pulsecore\page\rss\Blog'              => PULSE_BASE_DIR . '/pulsecore/page/rss_blog.php',
	
	# routes for URL dispatching
	'pulsecore\route\Base'     => PULSE_BASE_DIR . '/pulsecore/src/route/base.php',
	'pulsecore\route\BlogItem' => PULSE_BASE_DIR . '/pulsecore/src/route/blog_item.php',
	
	'pulsecore\route\admin\Base'               => PULSE_BASE_DIR . '/pulsecore/src/route/admin/base.php',
	'pulsecore\route\admin\MediaUploadHandler' => PULSE_BASE_DIR . '/pulsecore/src/route/admin/media_upload_handler.php',
	
	'pulsecore\route\admin\update\Base'     => PULSE_BASE_DIR . '/pulsecore/src/route/admin/update/base.php',
	'pulsecore\route\admin\update\Done'     => PULSE_BASE_DIR . '/pulsecore/src/route/admin/update/done.php',
	'pulsecore\route\admin\update\Download' => PULSE_BASE_DIR . '/pulsecore/src/route/admin/update/download.php',
	'pulsecore\route\admin\update\Prepare'  => PULSE_BASE_DIR . '/pulsecore/src/route/admin/update/prepare.php',
	'pulsecore\route\admin\update\Results'  => PULSE_BASE_DIR . '/pulsecore/src/route/admin/update/results.php',
	'pulsecore\route\admin\update\Start'    => PULSE_BASE_DIR . '/pulsecore/src/route/admin/update/start.php',
	'pulsecore\route\admin\update\Status'   => PULSE_BASE_DIR . '/pulsecore/src/route/admin/update/status.php',
	'pulsecore\route\admin\update\Updating' => PULSE_BASE_DIR . '/pulsecore/src/route/admin/update/updating.php',
	
	'pulsecore\route\editor\Base'          => PULSE_BASE_DIR . '/pulsecore/src/route/editor/base.php',
	'pulsecore\route\editor\Rest'          => PULSE_BASE_DIR . '/pulsecore/src/route/editor/rest.php',
	'pulsecore\route\editor\UnishopEditor' => PULSE_BASE_DIR . '/pulsecore/src/route/editor/unishop_editor.php',
	
	# storage - base
	'pulsecore\store\Base'       => PULSE_BASE_DIR . '/pulsecore/store/base.php',
	'pulsecore\store\Item'       => PULSE_BASE_DIR . '/pulsecore/store/item.php',
	
	# storage - block
	'pulsecore\store\block\Base' => PULSE_BASE_DIR . '/pulsecore/store/block/base.php',
	'pulsecore\store\block\Item' => PULSE_BASE_DIR . '/pulsecore/store/block/item.php',
	'pulsecore\store\block\Pile' => PULSE_BASE_DIR . '/pulsecore/store/block/pile.php',
	
	# storage - blog
	'pulsecore\store\blog\Base'  => PULSE_BASE_DIR . '/pulsecore/store/blog/base.php',
	'pulsecore\store\blog\Item'  => PULSE_BASE_DIR . '/pulsecore/store/blog/item.php',
	'pulsecore\store\blog\Roll'  => PULSE_BASE_DIR . '/pulsecore/store/blog/roll.php',
	
	# storage - gallery
	'pulsecore\store\gallery\Base'  => PULSE_BASE_DIR . '/pulsecore/store/gallery/base.php',
	'pulsecore\store\gallery\Item'  => PULSE_BASE_DIR . '/pulsecore/store/gallery/item.php',
	'pulsecore\store\gallery\Image' => PULSE_BASE_DIR . '/pulsecore/store/gallery/image.php',
	'pulsecore\store\gallery\Pile'  => PULSE_BASE_DIR . '/pulsecore/store/gallery/pile.php',
	
	# storage - page
	'pulsecore\store\page\Base' => PULSE_BASE_DIR . '/pulsecore/store/page/base.php',
	'pulsecore\store\page\Item' => PULSE_BASE_DIR . '/pulsecore/store/page/item.php',
	'pulsecore\store\page\Pile' => PULSE_BASE_DIR . '/pulsecore/store/page/pile.php',
	
	# storage - stats
	'pulsecore\store\stat\Base' => PULSE_BASE_DIR . '/pulsecore/store/stat/base.php',
	'pulsecore\store\stat\Item' => PULSE_BASE_DIR . '/pulsecore/store/stat/item.php',
	'pulsecore\store\stat\Line' => PULSE_BASE_DIR . '/pulsecore/store/stat/line.php',
	
	# tag lexer
	'pulsecore\tag\Lexer' => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer.php',
	
	'pulsecore\tag\lexer\token\Base'            => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/base.php',
	'pulsecore\tag\lexer\token\Colon'           => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/colon.php',
	'pulsecore\tag\lexer\token\CurlyBraceClose' => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/curly_brace_close.php',
	'pulsecore\tag\lexer\token\CurlyBraceOpen'  => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/curly_brace_open.php',
	'pulsecore\tag\lexer\token\DoubleQuote'     => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/double_quote.php',
	'pulsecore\tag\lexer\token\Skip'            => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/skip.php',
	'pulsecore\tag\lexer\token\Slash'           => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/slash.php',
	'pulsecore\tag\lexer\token\TagAttribute'    => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/tag_attribute.php',
	'pulsecore\tag\lexer\token\TagName'         => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/tag_name.php',
	'pulsecore\tag\lexer\token\Whitespace'      => PULSE_BASE_DIR . '/pulsecore/src/tag/lexer/token/whitespace.php',
	
	# tag parser
	'pulsecore\tag\Parser' => PULSE_BASE_DIR . '/pulsecore/src/tag/parser.php',
	
	'pulsecore\tag\parser\token\Base'             => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/token/base.php',
	'pulsecore\tag\parser\token\ClosingTag'       => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/token/closing_tag.php',
	'pulsecore\tag\parser\token\CompositeTag'     => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/token/composite_tag.php',
	'pulsecore\tag\parser\token\Content'          => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/token/content.php',
	'pulsecore\tag\parser\token\OpeningTag'       => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/token/opening_tag.php',
	'pulsecore\tag\parser\token\Tag'              => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/token/tag.php',
	'pulsecore\tag\parser\token\TagAttributeList' => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/token/tag_attribute_list.php',
	
	'pulsecore\tag\parser\rule\Append'       => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/rule/append.php',
	'pulsecore\tag\parser\rule\Base'         => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/rule/base.php',
	'pulsecore\tag\parser\rule\CompositeTag' => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/rule/composite_tag.php',
	'pulsecore\tag\parser\rule\Filter'       => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/rule/filter.php',
	'pulsecore\tag\parser\rule\LookAhead'    => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/rule/look_ahead.php',
	'pulsecore\tag\parser\rule\Merge'        => PULSE_BASE_DIR . '/pulsecore/src/tag/parser/rule/merge.php',
	
	# tags
	'pulsecore\tags\Base'                  => PULSE_BASE_DIR . '/pulsecore/tags/base.php',
	'pulsecore\tags\BasePage'              => PULSE_BASE_DIR . '/pulsecore/tags/base_page.php',
	'pulsecore\tags\Block'                 => PULSE_BASE_DIR . '/pulsecore/tags/block.php',
	'pulsecore\tags\BlockLoop'             => PULSE_BASE_DIR . '/pulsecore/tags/block_loop.php',
	'pulsecore\tags\Blog'                  => PULSE_BASE_DIR . '/pulsecore/tags/blog.php',
	'pulsecore\tags\BlogItemAuthor'        => PULSE_BASE_DIR . '/pulsecore/tags/blog_item_author.php',
	'pulsecore\tags\BlogItemContent'       => PULSE_BASE_DIR . '/pulsecore/tags/blog_item_content.php',
	'pulsecore\tags\BlogItemDate'          => PULSE_BASE_DIR . '/pulsecore/tags/blog_item_date.php',
	'pulsecore\tags\BlogItemFeaturedImage' => PULSE_BASE_DIR . '/pulsecore/tags/blog_item_featured_image.php',
	'pulsecore\tags\BlogItemTag'           => PULSE_BASE_DIR . '/pulsecore/tags/blog_item_tag.php',
	'pulsecore\tags\BlogItemTitle'         => PULSE_BASE_DIR . '/pulsecore/tags/blog_item_title.php',
	'pulsecore\tags\BlogContentLoop'       => PULSE_BASE_DIR . '/pulsecore/tags/blog_content_loop.php',
	'pulsecore\tags\BlogList'              => PULSE_BASE_DIR . '/pulsecore/tags/blog_list.php',
	'pulsecore\tags\BlogTags'              => PULSE_BASE_DIR . '/pulsecore/tags/blog_tags.php',
	'pulsecore\tags\BodyTags'              => PULSE_BASE_DIR . '/pulsecore/tags/body_tags.php',
	'pulsecore\tags\Breadcrumb'            => PULSE_BASE_DIR . '/pulsecore/tags/breadcrumb.php',
	'pulsecore\tags\CookieConsent'         => PULSE_BASE_DIR . '/pulsecore/tags/cookie_consent.php',
	'pulsecore\tags\CustomPostType'        => PULSE_BASE_DIR . '/pulsecore/tags/custom_post_type.php',
	'pulsecore\tags\Domain'                => PULSE_BASE_DIR . '/pulsecore/tags/domain.php',
	'pulsecore\tags\Dropzone'              => PULSE_BASE_DIR . '/pulsecore/tags/dropzone.php',
	'pulsecore\tags\Gal'                   => PULSE_BASE_DIR . '/pulsecore/tags/gal.php',
	'pulsecore\tags\GalMasonry'            => PULSE_BASE_DIR . '/pulsecore/tags/gal_masonry.php',
	'pulsecore\tags\Gdpr'                  => PULSE_BASE_DIR . '/pulsecore/tags/gdpr.php',
	'pulsecore\tags\Lang'                  => PULSE_BASE_DIR . '/pulsecore/tags/lang.php',
	'pulsecore\tags\Link'                  => PULSE_BASE_DIR . '/pulsecore/tags/link.php',
	'pulsecore\tags\MainContent'           => PULSE_BASE_DIR . '/pulsecore/tags/main_content.php',
	'pulsecore\tags\MediaPlayer'           => PULSE_BASE_DIR . '/pulsecore/tags/media_player.php',
	'pulsecore\tags\Navigation'            => PULSE_BASE_DIR . '/pulsecore/tags/navigation.php',
	'pulsecore\tags\NavigationLoggedIn'    => PULSE_BASE_DIR . '/pulsecore/tags/navigation_logged_in.php',
	'pulsecore\tags\Olark'                 => PULSE_BASE_DIR . '/pulsecore/tags/olark.php',
	'pulsecore\tags\PageDesc'              => PULSE_BASE_DIR . '/pulsecore/tags/page_desc.php',
	'pulsecore\tags\PageList'              => PULSE_BASE_DIR . '/pulsecore/tags/page_list.php',
	'pulsecore\tags\PageTitle'             => PULSE_BASE_DIR . '/pulsecore/tags/page_title.php',
	'pulsecore\tags\Path'                  => PULSE_BASE_DIR . '/pulsecore/tags/path.php',
	'pulsecore\tags\Picture'               => PULSE_BASE_DIR . '/pulsecore/tags/picture.php',
	'pulsecore\tags\RecentPosts'           => PULSE_BASE_DIR . '/pulsecore/tags/recentposts.php',
	'pulsecore\tags\RecentPostsVisual'     => PULSE_BASE_DIR . '/pulsecore/tags/recentposts_visual.php',
	'pulsecore\tags\SB_Block'              => PULSE_BASE_DIR . '/pulsecore/tags/sb_block.php',
	'pulsecore\tags\Search'                => PULSE_BASE_DIR . '/pulsecore/tags/search.php',
	'pulsecore\tags\ShowVar'               => PULSE_BASE_DIR . '/pulsecore/tags/show_var.php',
	'pulsecore\tags\Slide'                 => PULSE_BASE_DIR . '/pulsecore/tags/slide.php',
	'pulsecore\tags\SocialExposure'        => PULSE_BASE_DIR . '/pulsecore/tags/social_exposure.php',
	'pulsecore\tags\TeaserImage'           => PULSE_BASE_DIR . '/pulsecore/tags/teaser_image.php',
	'pulsecore\tags\TemplateFolder'        => PULSE_BASE_DIR . '/pulsecore/tags/template_folder.php',
	'pulsecore\tags\ThemeCss'              => PULSE_BASE_DIR . '/pulsecore/tags/theme_css.php',
	'pulsecore\tags\ThemeJs'               => PULSE_BASE_DIR . '/pulsecore/tags/theme_js.php',
	'pulsecore\tags\ThemeJsBody'           => PULSE_BASE_DIR . '/pulsecore/tags/theme_js_body.php',
	'pulsecore\tags\Thumbs'                => PULSE_BASE_DIR . '/pulsecore/tags/thumbs.php',
	'pulsecore\tags\TrackingCode'          => PULSE_BASE_DIR . '/pulsecore/tags/tracking_code.php',
	'pulsecore\tags\Unishop'               => PULSE_BASE_DIR . '/pulsecore/tags/unishop.php',
	'pulsecore\tags\WebsitePath'           => PULSE_BASE_DIR . '/pulsecore/tags/website_path.php',
	
	# view
	'pulsecore\View'      => PULSE_BASE_DIR . '/pulsecore/view.php',
	'pulsecore\ViewModel' => PULSE_BASE_DIR . '/pulsecore/view_model.php',
	
	# view helpers
	'pulsecore\view\helper\ActiveNav'         => PULSE_BASE_DIR . '/pulsecore/view/helper/active_nav.php',
	'pulsecore\view\helper\Base'              => PULSE_BASE_DIR . '/pulsecore/view/helper/base.php',
	'pulsecore\view\helper\BodyTag'           => PULSE_BASE_DIR . '/pulsecore/view/helper/body_tag.php',
	'pulsecore\view\helper\Css'               => PULSE_BASE_DIR . '/pulsecore/view/helper/css.php',
	'pulsecore\view\helper\Escape'            => PULSE_BASE_DIR . '/pulsecore/view/helper/escape.php',
	'pulsecore\view\helper\InlineEdit'        => PULSE_BASE_DIR . '/pulsecore/view/helper/inline_edit.php',
	'pulsecore\view\helper\Js'                => PULSE_BASE_DIR . '/pulsecore/view/helper/js.php',
	'pulsecore\view\helper\JsBody'            => PULSE_BASE_DIR . '/pulsecore/view/helper/js_body.php',
	'pulsecore\view\helper\JsModule'          => PULSE_BASE_DIR . '/pulsecore/view/helper/js_module.php',
	'pulsecore\view\helper\Language'          => PULSE_BASE_DIR . '/pulsecore/view/helper/language.php',
	'pulsecore\view\helper\LastModified'      => PULSE_BASE_DIR . '/pulsecore/view/helper/last_modified.php',
	'pulsecore\view\helper\MadeInPulse'       => PULSE_BASE_DIR . '/pulsecore/view/helper/made_in_pulse.php',
	'pulsecore\view\helper\Meta'              => PULSE_BASE_DIR . '/pulsecore/view/helper/meta.php',
	'pulsecore\view\helper\NavigationSubMenu' => PULSE_BASE_DIR . '/pulsecore/view/helper/navigation_sub_menu.php',
	'pulsecore\view\helper\Pagination'        => PULSE_BASE_DIR . '/pulsecore/view/helper/pagination.php',
	'pulsecore\view\helper\Resource'          => PULSE_BASE_DIR . '/pulsecore/view/helper/resource.php',
	'pulsecore\view\helper\Translations'      => PULSE_BASE_DIR . '/pulsecore/view/helper/translations.php'
	
];
