<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

namespace pulsecore\tag\parser\token;

/**
 * parse token
 */
class CompositeTag extends Base {
	
	/**
	 * get the attributes
	 * @return array
	 */
	function get_attributes () : array {
		
		$result = $this->find_children( '\pulsecore\tag\parser\token\OpeningTag' );
		
		$result = reset($result);
		
		\pulsecore\invariant( isset($result) );
		\pulsecore\invariant(       $result instanceof \pulsecore\tag\parser\token\OpeningTag );
		
		return $result->get_attributes();
	}
	
	/**
	 * get the tag name
	 * @return string
	 */
	function get_tag_name () : string {
		
		$result = $this->find_children( '\pulsecore\tag\parser\token\OpeningTag' );
		
		$result = reset($result);
		
		\pulsecore\invariant( isset($result) );
		\pulsecore\invariant(       $result instanceof \pulsecore\tag\parser\token\OpeningTag );
		
		return $result->get_tag_name();
	}
}
