<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

namespace pulsecore\tags;

require_once (PULSE_BASE_DIR . '/pulsecore/src/acl_role.php');

/**
 * author tag
 */
class BlogItemAuthor extends Base {
	
	/**
	 * generate html
	 * @param array $params Array of named arguments
	 * @param array $tag_runner_context Extra content to provide to tags
	 * @param string $tag_content Optional string with the between opening and closing tag content
	 * @return string
	 */
	public function generate_html (array $params = array(), array $tag_runner_context = array(), string $tag_content = '') : string {
		
		\pulsecore\pre_condition(      isset($tag_content) );
		\pulsecore\pre_condition( \is_string($tag_content) );
		
		$arguments = \array_merge( array(), $params );
		
		\pulsecore\pre_condition( isset($arguments['blog_item']) );
		\pulsecore\pre_condition(       $arguments['blog_item'] instanceof \pulsecore\store\blog\Item );
		
		# $result = \pulsecore\wedge\config\get_json_configs()->json->administrator_name;
		$result = $GLOBALS['lang_settings_admin'];
		
		if (\pulsecore\acl_role\is_administrator()) {
			# $result = \pulsecore\wedge\config\get_json_configs()->json->administrator_name;
			$result = $GLOBALS['lang_settings_admin'];
		}
		
		if (\pulsecore\acl_role\is_editor()) {
			# $result = \pulsecore\wedge\config\get_json_configs()->json->editor_name;
			$result = $GLOBALS['lang_settings_title_editor'];
		}
		
		# actual blog author
		if (!empty($arguments['blog_item']->author)) {
			$result = $arguments['blog_item']->author;
			
			if (\strcasecmp($result, \pulsecore\get_configs()->acl_role->admin) == 0) {
				$result = \pulsecore\wedge\config\get_json_configs()->json->administrator_name;
			
			} else if (\strcasecmp($result, \pulsecore\get_configs()->acl_role->editor) == 0) {
				$result = \pulsecore\wedge\config\get_json_configs()->json->editor_name;
			}
		}
		
		# wrap
		$result = "<div class=\"blog-item-grid-item tag-blog-item-author\">{$result}</div>";
		
		return $result;
	}
}
