<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

namespace pulsecore\tags\end_point;

/**
 * end point block
 */
 
require_once (PULSE_BASE_DIR . '/pulsecore/filter.php');

# ===========================================================================>
/**
 * generate the html
 * \param $url_base_path string
 * \param $url string The url to embed
 * \return string
 */
function generate_html( $url_base_path, $url ) {
	
	\pulsecore\pre_condition(      isset($url_base_path) );
	\pulsecore\pre_condition( \is_string($url_base_path) );
	\pulsecore\pre_condition(    \strlen($url_base_path) >= 0);
	
	\pulsecore\pre_condition(      isset($url) );
	\pulsecore\pre_condition( \is_string($url) );
	\pulsecore\pre_condition(    \strlen($url) > 0);
	
	$domain = $_SERVER['SERVER_NAME'];
	
	$result = "//{$domain}{$url_base_path}/end_point.php?item=" . \urlencode($url);
	
	return $result;
}

# ===========================================================================>
